tao2581/apidocs 问题修复 & 功能扩展

解决BUG、新增功能、兼容多环境部署,快速响应你的开发需求

邮箱:yvsm@zunyunkeji.com | QQ:316430983 | 微信:yvsm316

tao2581/apidocs

Composer 安装命令:

composer require tao2581/apidocs

包简介

Laravel API Documentation Generator

README 文档

README

Laravel API Docs Generator

This Laravel package provides an API Documentation generator based upon your Routes and Controller Method DocBlock comments.

Installation

Laravel 5.0

Begin by installing this package through Composer. Edit your project's composer.json file to require f2m2/apidocs.

"require-dev": {
    "tao2581/apidocs": "dev-master"
}

Next, update Composer from the Terminal:

composer update

Once the packaage has installed, the final step is to add the service provider. Open config/app.php, and add a new item to the providers array.

'F2m2\Apidocs\ApidocsServiceProvider',

Run the artisan command from the Terminal to see the new apidocs command.

php artisan apidocs:generate

Create a copy of the API Docs Config by running this artisan command:

php artisan vendor:publish

Laravel 4.2

See installation: https://github.com/f2m2/apidocs/tree/1.0.0

Notes

Route Prefix

Create a prefix for your routes with an API Version. i.e. 'api/v1

Route::group(['prefix' => 'api/v1'], function(){
     // ...
});

######## Laravel 5.4 defaults to api prefix (Route::prefix('api')). If your routes/api.php looks like this...

Route::group(['prefix' => 'v1'], function(){
     // ...
});

... then the route for the generate command would be api/v1 Otherwise it will be just api

DocBlock Example

Below is a docBlock example.

/**
* Display the specified resource.
* GET /user/{id}
*
* @param  int  $id  The id of a User
* @return Response
*/
public function show($id)
{
    // Display User
}

License

See LICENSE file.

tao2581/apidocs 适用场景与选型建议

tao2581/apidocs 是一款 基于 PHP 开发的 Composer 扩展包,目前已累计 12 次下载、GitHub Stars 达 0, 最近一次更新时间为 2017 年 10 月 31 日, 在 PHP 生态内属于活跃度较高的组件。

我们在过去多个企业项目中使用过 tao2581/apidocs 或与其功能相近的方案,如果你在选型或落地过程中遇到问题,例如 版本兼容、二次改造、私有化封装、与内部系统对接、生产 BUG 排查,欢迎联系我们协助评估。

围绕 tao2581/apidocs 我们能提供哪些服务?
定制开发 / 二次开发

基于 tao2581/apidocs 在你已有业务上做功能扩展、字段裁剪、UI 适配、与内部账号 / 权限 / 日志系统的深度对接。

BUG 修复 & 性能优化

线上偶发问题、内存泄漏、慢查询、并发异常等排查修复;针对高流量场景做缓存、队列、索引层面的调优。

项目外包 & 长期维护

承接完整的项目从需求 → 设计 → 开发 → 上线 → 长期运维;也可按月提供技术保姆服务。

yvsm@zunyunkeji.com QQ:316430983 微信:yvsm316 西安尊云信息科技 · 专注 PHP / Go / 分布式系统研发

统计信息

  • 总下载量: 12
  • 月度下载量: 0
  • 日度下载量: 0
  • 收藏数: 0
  • 点击次数: 3
  • 依赖项目数: 0
  • 推荐数: 0

GitHub 信息

  • Stars: 0
  • Watchers: 1
  • Forks: 29
  • 开发语言: PHP

其他信息

  • 授权协议: MIT
  • 更新时间: 2017-10-31